Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 31-10-2017 17:33:28

nounours
Adhérent(e)
Lieu : hourtin 33
Distrib. : Jessie bureaux : mate et Handylinux basé sur Jessi
Noyau : linux 3.2.0-4-686-pae
(G)UI : Mate, Xfce
Inscription : 11-02-2012

[Résolu] Carte graphique Nvidia GeForce 7500 LE (72) Stretch

Bonjour à tous

OS : Stretch Xfce
J’ai un vieux Pc qui a parfaitement fonctionné sous Jessie Mate (installé avec une image iso en i386), après avoir installé le bon driver pour la carte Nvidia en question.
J’ai voulu y installer Stretch Xfce image iso Amd64 (ce pc est en fait en Amd64) après avoir installé le bon driver pour une carte Nvidia de la même manière que pour Jessie Mate.
Tout s’est bien installé comme prévu avec le bureau habituel Xfce au reboot.
Après arrêt et démarrage du pc le message suivant apparaît :

[FAILED] Failed to start Light Display Manager.


Ensuite apparaît un écran noir demandant logins et mot de passe.

La carte graphique est :

GeForce 7500 LE (72)

J’ai ajouté les lignes suivante dans /etc/apt/sources.list

# Ajout paquet non libre
deb http://deb.debian.org/debian/ stretch main contrib non-free
deb http://security.debian.org/ stretch/updates main contrib non-free
deb http://deb.debian.org/debian/ stretch-updates main contrib non-free


Mise à jour des dépôts

# apt-get update


J’ai installé (et vérifié) le driver de cette façon :

# apt-get install nvidia-legacy-304xx-driver



Ensuite

# reboot


Création du fichier xorg .conf dans /etc/X11
le fichier xorg.conf est le suivant :

Section "Device"
  Identifier    "Video Card"
  Driver        "nvidia''
  Option          "
NoLogo"                    "1"
  Option          "
RenderAccel"               "1"
EndSection



Le driver de la carte Nvidia est il compatible avec une architecture amd 64 ? ou bien ça n’a rien à voir ?.
Je remercie la personne qui voudra bien me répondre pour résoudre ce mystère.

Dernière modification par nounours (01-11-2017 16:35:11)


N'achetez pas Windows !. Volez-le !. Au moins vous en aurez pour votre argent.

Hors ligne

#2 01-11-2017 09:58:57

nounours
Adhérent(e)
Lieu : hourtin 33
Distrib. : Jessie bureaux : mate et Handylinux basé sur Jessi
Noyau : linux 3.2.0-4-686-pae
(G)UI : Mate, Xfce
Inscription : 11-02-2012

Re : [Résolu] Carte graphique Nvidia GeForce 7500 LE (72) Stretch

Voilà la doc que j’ai trouvé, mais je ne suis pas assez qualifie pour tout comprendre et j’ai besoin de vous.

https://wiki.debian.org/fr/NvidiaGraphicsDrivers

La carte graphique est bien une Nvidia Geforce 7500 LE

Mon cas est exactement ce qui est dit pour Debian 9 « Stretch » (les 4 lignes de commande juste au dessus du titre Debian 8 « Jessie »)

Je remarque que j’ai effectivement exécuté les 3 premières commandes et installé le driver nvidia-legacy-304xx-driver, créer le fichier xorg.conf

La question :
Est-ce que la ligne de commande suivante peut être exécutée en 2 temps ?

aptitude -r install linux-headers-$(uname -r|sed 's/[^-]*-[^-]*-//') nvidia-legacy-304xx-driver


Par exemple :

aptitude -r install linux-headers-$(uname -r|sed 's/[^-]*-[^-]*-//')


et

aptitude -r install nvidia-legacy-304xx-driver


Si oui, alors il ne me resterai plus qu’a exécuter la première ligne (dont j’ignore la signification)

Merci d’avance


N'achetez pas Windows !. Volez-le !. Au moins vous en aurez pour votre argent.

Hors ligne

#3 01-11-2017 12:22:18

robert2a
Membre
Lieu : France
Distrib. : Stretch 9
Noyau : Linux 4.9.0-3 4.9.30-2
(G)UI : Mate
Inscription : 15-11-2014

Re : [Résolu] Carte graphique Nvidia GeForce 7500 LE (72) Stretch

Bonjour

les headers pour toi je suppose  =>  https://packages.debian.org/fr/stretch/ … rs-686-pae
nota : installe les méta paquets (par dépendances installe tout ce qu il faut pour compiler les modules du noyau pour le driver nvidia-304 )


apt-get install linux-image-686-pae linux-headers-686-pae
 



pour la première ligne elle fait ce que j'ai écrit au dessus (installe les headers en fonction du noyau actuel) , en utilisant les méta paquets c'est plus parlant que ta commande au dessus  wink

sinon toujours la meme chose , chercher les éventuelles erreurs , commencer par le noyau , puis le log du serveur X , souvent on trouve la réponse

le wiki D_F  =>  https://debian-facile.org/doc:materiel: … ia:accueil

la commande qui va bien


apt-get install nvidia-legacy-304xx-kernel-dkms nvidia-settings-legacy-304xx xserver-xorg-video-nvidia-legacy-304xx linux-headers-$(uname -r)
 



utilise le paquet nvidia-detect et tape la commande


nvidia-detect
 


voit si le retour te donne bien le 304 sur stretch comme version
sinon les logs pourront nous en dire plus

a l'époque (ou je l'utilisais)  pour le xorg.conf le plus basic possible


Section "Device"
  Identifier    "Device0"
  Driver        "nvidia''
EndSection
 


et vérifie qu un ancien xorg.conf ne traine pas ( dans /etc/X11/  et dans /etc/X11/xorg.conf.d/  )

Dernière modification par robert2a (01-11-2017 12:33:35)

Hors ligne

#4 01-11-2017 12:30:41

nounours
Adhérent(e)
Lieu : hourtin 33
Distrib. : Jessie bureaux : mate et Handylinux basé sur Jessi
Noyau : linux 3.2.0-4-686-pae
(G)UI : Mate, Xfce
Inscription : 11-02-2012

Re : [Résolu] Carte graphique Nvidia GeForce 7500 LE (72) Stretch

@robert2a
Merci pour ta réponse.

Donc si j'ai bien compris, (peut-être ?) il me suffit de taper la commande :

apt-get install linux-image-686-pae linux-headers-686-pae


N'achetez pas Windows !. Volez-le !. Au moins vous en aurez pour votre argent.

Hors ligne

#5 01-11-2017 12:35:52

robert2a
Membre
Lieu : France
Distrib. : Stretch 9
Noyau : Linux 4.9.0-3 4.9.30-2
(G)UI : Mate
Inscription : 15-11-2014

Re : [Résolu] Carte graphique Nvidia GeForce 7500 LE (72) Stretch

ça coute rien d'installer les méta paquets , avec DKMS (la commande que j'ai mit au dessus ) tu n'en a pas besoin mais c'est une précaution
sinon avec nouveau la carte fonctionne bien ?

sur la commande c'est lui qui va compiler => nvidia-legacy-304xx-kernel-dkms
avec le bon headers => linux-headers-$(uname -r)  ;  "($(uname -r)"  va ajouter a "linux-headers-"  ceci "686-pae"  ce qui donne au final  "linux-headers-686-pae"

je met a jour mon driver sur buster , toujours vérifier le log de la console avant de redémarrer
ça se passe en 2 temps ,retirer l ancien et installer le nouveau
un exemple


-------- Uninstall Beginning --------
Module:  nvidia-current
Version: 375.82
Kernel:  4.13.0-1-amd64 (x86_64)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.

nvidia-current.ko:
 - Uninstallation
   - Deleting from: /lib/modules/4.13.0-1-amd64/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.


nvidia-current-modeset.ko:
 - Uninstallation
   - Deleting from: /lib/modules/4.13.0-1-amd64/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.


nvidia-current-drm.ko:
 - Uninstallation
   - Deleting from: /lib/modules/4.13.0-1-amd64/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.


nvidia-current-uvm.ko:
 - Uninstallation
   - Deleting from: /lib/modules/4.13.0-1-amd64/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

depmod......

DKMS: uninstall completed.

-------- Uninstall Beginning --------
Module:  nvidia-current
Version: 375.82
Kernel:  4.9.0-4-amd64 (x86_64)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.

nvidia-current.ko:
 - Uninstallation
   - Deleting from: /lib/modules/4.9.0-4-amd64/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.


nvidia-current-modeset.ko:
 - Uninstallation
   - Deleting from: /lib/modules/4.9.0-4-amd64/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.


nvidia-current-drm.ko:
 - Uninstallation
   - Deleting from: /lib/modules/4.9.0-4-amd64/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.


nvidia-current-uvm.ko:
 - Uninstallation
   - Deleting from: /lib/modules/4.9.0-4-amd64/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

depmod.....

DKMS: uninstall completed.

------------------------------
Deleting module version: 375.82
completely from the DKMS tree.
------------------------------
Done.
Dépaquetage de nvidia-kernel-dkms (375.82-7) sur (375.82-5) ...
Préparation du dépaquetage de .../36-nvidia-legacy-check_375.82-7_amd64.deb ...
Dépaquetage de nvidia-legacy-check (375.82-7) sur (375.82-5) ...
Préparation du dépaquetage de .../37-libnvidia-egl-wayland_375.82-7_amd64.deb ...
Dépaquetage de libnvidia-egl-wayland:amd64 (375.82-7) sur (375.82-5) ...
Préparation du dépaquetage de .../38-nvidia-cuda-mps_375.82-7_amd64.deb ...
Dépaquetage de nvidia-cuda-mps (375.82-7) sur (375.82-5) ...
Préparation du dépaquetage de .../39-nvidia-detect_375.82-7_amd64.deb ...
Dépaquetage de nvidia-detect (375.82-7) sur (375.82-5) ...
Préparation du dépaquetage de .../40-nvidia-kernel-source_375.82-7_amd64.deb ...
Dépaquetage de nvidia-kernel-source (375.82-7) sur (375.82-5) ...
Paramétrage de libglvnd0:amd64 (0.2.999+git20170802-5) ...
Paramétrage de libopengl0-glvnd-nvidia:amd64 (375.82-7) ...
Traitement des actions différées (« triggers ») pour mime-support (3.60) ...
Paramétrage de libnvidia-eglcore:amd64 (375.82-7) ...
Traitement des actions différées (« triggers ») pour desktop-file-utils (0.23-2) ...
Paramétrage de libnvidia-glcore:amd64 (375.82-7) ...
Paramétrage de nvidia-cuda-mps (375.82-7) ...
Paramétrage de nvidia-kernel-source (375.82-7) ...
Paramétrage de nvidia-opencl-common (375.82-7) ...
Traitement des actions différées (« triggers ») pour libc-bin (2.24-17) ...
Paramétrage de nvidia-egl-common (375.82-7) ...
Paramétrage de nvidia-libopencl1:amd64 (375.82-7) ...
Paramétrage de nvidia-vulkan-common (375.82-7) ...
Paramétrage de nvidia-legacy-check (375.82-7) ...
Paramétrage de nvidia-detect (375.82-7) ...
Traitement des actions différées (« triggers ») pour man-db (2.7.6.1-2) ...
Paramétrage de libnvidia-egl-wayland:amd64 (375.82-7) ...
Paramétrage de libnvidia-compiler:amd64 (375.82-7) ...
Paramétrage de libnvidia-ptxjitcompiler:amd64 (375.82-7) ...
Paramétrage de nvidia-alternative (375.82-7) ...
Paramétrage de libnvidia-fatbinaryloader:amd64 (375.82-7) ...
Traitement des actions différées (« triggers ») pour nvidia-alternative (375.82-7) ...
Paramétrage de libglx-nvidia0:amd64 (375.82-7) ...
Paramétrage de nvidia-vulkan-icd:amd64 (375.82-7) ...
Paramétrage de nvidia-kernel-support (375.82-7) ...
Paramétrage de nvidia-vdpau-driver:amd64 (375.82-7) ...
Paramétrage de libegl-nvidia0:amd64 (375.82-7) ...
Paramétrage de libgles-nvidia2:amd64 (375.82-7) ...
Paramétrage de libnvidia-cfg1:amd64 (375.82-7) ...
Paramétrage de libgles1-glvnd-nvidia:amd64 (375.82-7) ...
Paramétrage de nvidia-kernel-dkms (375.82-7) ...
Loading new nvidia-current-375.82 DKMS files...
Building for 4.13.0-1-amd64
Building initial module for 4.13.0-1-amd64
Done.

nvidia-current:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/4.13.0-1-amd64/updates/dkms/

nvidia-current-modeset.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/4.13.0-1-amd64/updates/dkms/

nvidia-current-drm.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/4.13.0-1-amd64/updates/dkms/

nvidia-current-uvm.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/4.13.0-1-amd64/updates/dkms/

depmod...

DKMS: install completed.
Paramétrage de libnvidia-ml1:amd64 (375.82-7) ...
Paramétrage de libgles-nvidia1:amd64 (375.82-7) ...
Paramétrage de libcuda1:amd64 (375.82-7) ...
Paramétrage de libnvcuvid1:amd64 (375.82-7) ...
Paramétrage de libnvidia-ifr1:amd64 (375.82-7) ...
Paramétrage de libgl1-nvidia-glvnd-glx:amd64 (375.82-7) ...
Paramétrage de xserver-xorg-video-nvidia (375.82-7) ...
Paramétrage de nvidia-driver-bin (375.82-7) ...
Paramétrage de libgles2-nvidia:amd64 (375.82-7) ...
Paramétrage de nvidia-opencl-icd:amd64 (375.82-7) ...
Paramétrage de libgles1-nvidia:amd64 (375.82-7) ...
Paramétrage de libnvidia-fbc1:amd64 (375.82-7) ...
Paramétrage de nvidia-egl-icd:amd64 (375.82-7) ...
Paramétrage de libnvidia-encode1:amd64 (375.82-7) ...
Paramétrage de nvidia-smi (375.82-7) ...
Paramétrage de nvidia-driver-libs:amd64 (375.82-7) ...
Paramétrage de nvidia-driver (375.82-7) ...
Traitement des actions différées (« triggers ») pour libc-bin (2.24-17) ...
Traitement des actions différées (« triggers ») pour glx-alternative-nvidia (0.8.0) ...
Traitement des actions différées (« triggers ») pour update-glx (0.8.0) ...
Traitement des actions différées (« triggers ») pour glx-alternative-nvidia (0.8.0) ...
Traitement des actions différées (« triggers ») pour libc-bin (2.24-17) ...
Traitement des actions différées (« triggers ») pour initramfs-tools (0.130) ...
update-initramfs: Generating /boot/initrd.img-4.13.0-1-amd64
 



si tu a ceci dans le log (sans erreur) c'est déja bien


DKMS: install completed.
 



il y a peut etre un souci avec ta carte vidéo et le noyau de stretch , qu il n y avait pas sur jessie , mais pour ça faut jeter un oeil sur les logs

Dernière modification par robert2a (01-11-2017 12:52:38)

Hors ligne

#6 01-11-2017 16:37:23

nounours
Adhérent(e)
Lieu : hourtin 33
Distrib. : Jessie bureaux : mate et Handylinux basé sur Jessi
Noyau : linux 3.2.0-4-686-pae
(G)UI : Mate, Xfce
Inscription : 11-02-2012

Re : [Résolu] Carte graphique Nvidia GeForce 7500 LE (72) Stretch

ÇA MAAAAARRRCHHHEEEE !!!!!!!!
Un grand merci à Robert2a.
Quelle aventure !.
Je vais faire un petit topo pour résumer tout ça.

N'achetez pas Windows !. Volez-le !. Au moins vous en aurez pour votre argent.

Hors ligne

#7 02-11-2017 07:20:19

robert2a
Membre
Lieu : France
Distrib. : Stretch 9
Noyau : Linux 4.9.0-3 4.9.30-2
(G)UI : Mate
Inscription : 15-11-2014

Re : [Résolu] Carte graphique Nvidia GeForce 7500 LE (72) Stretch

Bonjour

et moi je me suis trompé , tu dis : " J’ai voulu y installer Stretch Xfce image iso Amd64 (ce pc est en fait en Amd64) "
avec la commande du wiki (dkms) ce sera le bon headers qui sera installé en AMD64 si tu a un noyau en amd64 (et pas 686-pae comme dans mon explication)  wink
ps:  j'ai regardé le profil et pas ton premier post ou tu dit etre passé de 32 a 64 (je pense que ta machine accepte les deux sinon l installateur pas content hmm  )

pour corriger mon erreur pour les deux méta paquets en amd64


apt-get install linux-image-amd64 linux-headers-amd64
 

Dernière modification par robert2a (02-11-2017 07:26:28)

Hors ligne

#8 02-11-2017 07:46:15

nounours
Adhérent(e)
Lieu : hourtin 33
Distrib. : Jessie bureaux : mate et Handylinux basé sur Jessi
Noyau : linux 3.2.0-4-686-pae
(G)UI : Mate, Xfce
Inscription : 11-02-2012

Re : [Résolu] Carte graphique Nvidia GeForce 7500 LE (72) Stretch

@robert2a
Bonjour
Alors, le mystère s'épaissit !.
Pourquoi ça marche ?. Peut-on en déduire que ces paquets sont inutiles?.
Pour preuve :
Voila le retour de la commande que j'avais noté :
"Le paquet linux-hearders-686-pae
n’a pas de version susceptible d’être installée"

Dernière modification par nounours (02-11-2017 08:12:27)


N'achetez pas Windows !. Volez-le !. Au moins vous en aurez pour votre argent.

Hors ligne

#9 02-11-2017 08:52:00

robert2a
Membre
Lieu : France
Distrib. : Stretch 9
Noyau : Linux 4.9.0-3 4.9.30-2
(G)UI : Mate
Inscription : 15-11-2014

Re : [Résolu] Carte graphique Nvidia GeForce 7500 LE (72) Stretch

c'est correct comme retour , tu ne pas installer un noyau i386  sur de l amd64.
les deux méta paquets amd64 cité en #7 ne sont pas inutile , ça évite d'avoir des soucis , si tu met a jour ton driver , tu aura déja tout ce qu il faut a jour
quand un nouveau noyau arrive idem tout ce mettra a jour et ce sera transparent pour toi.
avec un driver vidéo non free je conseille de les avoir installé.
pas de mystère smile  , explique ce que tu a fais ?

nota : donc maintenant ça fonctionne correctement en amd64 stretch xfce
tu a pas répondu si nouveau fonctionne bien avec stretch
sinon le log du serveur X peu donner des informations


cat /var/log/Xorg.0.log
 


tu a bien redémarré la machine , a l installation du driver nonfree ?   (avant de lancer le serveur X )

il y a la commande dmesg pour interroger les logs  =>  https://debian-facile.org/doc:systeme:dmesg  (par exemple savoir si les drm pour la carte son bien chargé )

Dernière modification par robert2a (02-11-2017 09:00:50)

Hors ligne

#10 02-11-2017 09:16:40

nounours
Adhérent(e)
Lieu : hourtin 33
Distrib. : Jessie bureaux : mate et Handylinux basé sur Jessi
Noyau : linux 3.2.0-4-686-pae
(G)UI : Mate, Xfce
Inscription : 11-02-2012

Re : [Résolu] Carte graphique Nvidia GeForce 7500 LE (72) Stretch

Je viens d'exécuter la commande :

apt-get install linux-image-amd64 linux-headers-amd64


Retour :

pt-get install linux-image-amd64 linux-headers-amd64
retour :
utilisateur1@packard:~$ su
Mot de passe :
root@packard:/home/utilisateur1# apt-get install linux-image-amd64 linux-headers-amd64
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
linux-headers-amd64 is already the newest version (4.9+80+deb9u2).
linux-headers-amd64 passé en « installé manuellement ».
linux-image-amd64 is already the newest version (4.9+80+deb9u2).
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  libnvidia-legacy-304xx-cfg1 libnvidia-legacy-304xx-ml1
  nvidia-legacy-304xx-driver-bin nvidia-legacy-304xx-driver-libs
  nvidia-persistenced
Veuillez utiliser « apt autoremove » pour les supprimer.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 1 non mis à jour.
root@packard:/home/utilisateur1#
 



Exécution de la commande :

cat /var/log/Xorg.0.log


Retour :

[    15.790]
X.Org X Server 1.19.2
Release Date: 2017-03-02
[    15.791] X Protocol Version 11, Revision 0
[    15.791] Build Operating System: Linux 4.9.0-4-amd64 x86_64 Debian
[    15.791] Current Operating System: Linux packard 4.9.0-4-amd64 #1 SMP Debian 4.9.51-1 (2017-09-28) x86_64
[    15.791] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-4.9.0-4-amd64 root=UUID=507e9806-1eab-47a2-b334-934ae275572a ro quiet
[    15.791] Build Date: 16 October 2017  08:19:45AM
[    15.791] xorg-server 2:1.19.2-1+deb9u2 (https://www.debian.org/support)
[    15.791] Current version of pixman: 0.34.0
[    15.791]  Before reporting problems, check http://wiki.x.org
  to make sure that you have the latest version.
[    15.791] Markers: (--) probed, (**) from config file, (==) default setting,
  (++) from command line, (!!) notice, (II) informational,
  (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[    15.791] (==) Log file: "/var/log/Xorg.0.log", Time: Thu Nov  2 07:56:50 2017
[    15.802] (==) Using config file: "/etc/X11/xorg.conf"
[    15.802] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[    15.836] (==) No Layout section.  Using the first Screen section.
[    15.836] (==) No screen section available. Using defaults.
[    15.836] (**) |-->Screen "Default Screen Section" (0)
[    15.836] (**) |   |-->Monitor "<default monitor>"
[    15.842] (==) No device specified for screen "Default Screen Section".
  Using the first device section listed.
[    15.842] (**) |   |-->Device "Device0"
[    15.842] (==) No monitor specified for screen "Default Screen Section".
  Using a default monitor configuration.
[    15.842] (==) Automatically adding devices
[    15.843] (==) Automatically enabling devices
[    15.843] (==) Automatically adding GPU devices
[    15.843] (==) Max clients allowed: 256, resource mask: 0x1fffff
[    15.995] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
[    15.995]  Entry deleted from font path.
[    16.086] (==) FontPath set to:
  /usr/share/fonts/X11/misc,
  /usr/share/fonts/X11/100dpi/:unscaled,
  /usr/share/fonts/X11/75dpi/:unscaled,
  /usr/share/fonts/X11/Type1,
  /usr/share/fonts/X11/100dpi,
  /usr/share/fonts/X11/75dpi,
  built-ins
[    16.086] (==) ModulePath set to "/usr/lib/xorg/modules"
[    16.086] (II) The server relies on udev to provide the list of input devices.
  If no devices become available, reconfigure udev or disable AutoAddDevices.
[    16.086] (II) Loader magic: 0x5615b0d68e00
[    16.087] (II) Module ABI versions:
[    16.087]  X.Org ANSI C Emulation: 0.4
[    16.087]  X.Org Video Driver: 23.0
[    16.087]  X.Org XInput driver : 24.1
[    16.087]  X.Org Server Extension : 10.0
[    16.088] (++) using VT number 7

[    16.088] (II) systemd-logind: logind integration requires -keeptty and -keeptty was not provided, disabling logind integration
[    16.089] (II) xfree86: Adding drm device (/dev/dri/card0)
[    16.092] (--) PCI:*(0:2:0:0) 10de:01dd:174b:2610 rev 161, Mem @ 0xdc000000/16777216, 0xc0000000/268435456, 0xdd000000/16777216, BIOS @ 0x????????/131072
[    16.092] (II) LoadModule: "glx"
[    16.148] (II) Loading /usr/lib/xorg/modules/linux/libglx.so
[    18.187] (II) Module glx: vendor="NVIDIA Corporation"
[    18.188]  compiled for 4.0.2, module version = 1.0.0
[    18.188]  Module class: X.Org Server Extension
[    18.188] (II) NVIDIA GLX Module  304.135  Tue Jan 17 15:46:50 PST 2017
[    18.188] (II) LoadModule: "nvidia"
[    18.201] (II) Loading /usr/lib/xorg/modules/drivers/nvidia_drv.so
[    18.281] (II) Module nvidia: vendor="NVIDIA Corporation"
[    18.281]  compiled for 4.0.2, module version = 1.0.0
[    18.281]  Module class: X.Org Video Driver
[    18.302] (II) NVIDIA dlloader X Driver  304.135  Tue Jan 17 15:28:00 PST 2017
[    18.302] (II) NVIDIA Unified Driver for all Supported NVIDIA GPUs
[    18.334] (II) Loading sub module "fb"
[    18.334] (II) LoadModule: "fb"
[    18.334] (II) Loading /usr/lib/xorg/modules/libfb.so
[    18.379] (II) Module fb: vendor="X.Org Foundation"
[    18.379]  compiled for 1.19.2, module version = 1.0.0
[    18.379]  ABI class: X.Org ANSI C Emulation, version 0.4
[    18.379] (II) Loading sub module "wfb"
[    18.379] (II) LoadModule: "wfb"
[    18.379] (II) Loading /usr/lib/xorg/modules/libwfb.so
[    18.396] (II) Module wfb: vendor="X.Org Foundation"
[    18.396]  compiled for 1.19.2, module version = 1.0.0
[    18.396]  ABI class: X.Org ANSI C Emulation, version 0.4
[    18.396] (II) Loading sub module "ramdac"
[    18.396] (II) LoadModule: "ramdac"
[    18.396] (II) Module "ramdac" already built-in
[    18.413] (II) NVIDIA(0): Creating default Display subsection in Screen section
  "Default Screen Section" for depth/fbbpp 24/32
[    18.413] (==) NVIDIA(0): Depth 24, (==) framebuffer bpp 32
[    18.413] (==) NVIDIA(0): RGB weight 888
[    18.413] (==) NVIDIA(0): Default visual is TrueColor
[    18.413] (==) NVIDIA(0): Using gamma correction (1.0, 1.0, 1.0)
[    18.414] (**) NVIDIA(0): Enabling 2D acceleration
[    19.455] (II) NVIDIA(GPU-0): Display (Acon L15CX (CRT-0)) does not support NVIDIA 3D Vision
[    19.455] (II) NVIDIA(GPU-0):     stereo.
[    19.471] (II) NVIDIA(0): NVIDIA GPU GeForce 7500 LE (G72) at PCI:2:0:0 (GPU-0)
[    19.471] (--) NVIDIA(0): Memory: 524288 kBytes
[    19.471] (--) NVIDIA(0): VideoBIOS: 05.72.22.50.59
[    19.471] (II) NVIDIA(0): Detected PCI Express Link width: 16X
[    19.471] (--) NVIDIA(0): Interlaced video modes are supported on this GPU
[    19.471] (--) NVIDIA(0): Valid display device(s) on GeForce 7500 LE at PCI:2:0:0
[    19.471] (--) NVIDIA(0):     Acon L15CX (CRT-0) (connected)
[    19.471] (--) NVIDIA(0):     CRT-1
[    19.471] (--) NVIDIA(0):     TV-0
[    19.471] (--) NVIDIA(0):     DFP-0
[    19.471] (--) NVIDIA(0): Acon L15CX (CRT-0): 400.0 MHz maximum pixel clock
[    19.471] (--) NVIDIA(0): CRT-1: 400.0 MHz maximum pixel clock
[    19.471] (--) NVIDIA(0): TV-0: 400.0 MHz maximum pixel clock
[    19.471] (--) NVIDIA(0): TV encoder: Unknown
[    19.471] (--) NVIDIA(0): DFP-0: 165.0 MHz maximum pixel clock
[    19.471] (--) NVIDIA(0): DFP-0: Internal Single Link TMDS
[    19.471] (**) NVIDIA(0): Using HorizSync/VertRefresh ranges from the EDID for display
[    19.471] (**) NVIDIA(0):     device Acon L15CX (CRT-0) (Using EDID frequencies has been
[    19.471] (**) NVIDIA(0):     enabled on all display devices.)
[    19.472] (==) NVIDIA(0):
[    19.472] (==) NVIDIA(0): No modes were requested; the default mode "nvidia-auto-select"
[    19.472] (==) NVIDIA(0):     will be used as the requested mode.
[    19.472] (==) NVIDIA(0):
[    19.472] (II) NVIDIA(0): Validated MetaModes:
[    19.472] (II) NVIDIA(0):     "CRT-0:nvidia-auto-select"
[    19.472] (II) NVIDIA(0): Virtual screen size determined to be 1024 x 768
[    19.476] (WW) NVIDIA(0): Unable to support custom viewPortOut 1024 x 576 +0 +96
[    19.476] (--) NVIDIA(0): DPI set to (86, 84); computed from "UseEdidDpi" X config
[    19.476] (--) NVIDIA(0):     option
[    19.476] (--) Depth 24 pixmap format is 32 bpp
[    19.487] (II) NVIDIA(0): ACPI: failed to connect to the ACPI event daemon; the daemon
[    19.487] (II) NVIDIA(0):     may not be running or the "AcpidSocketPath" X
[    19.487] (II) NVIDIA(0):     configuration option may not be set correctly.  When the
[    19.487] (II) NVIDIA(0):     ACPI event daemon is available, the NVIDIA X driver will
[    19.487] (II) NVIDIA(0):     try to use it to receive ACPI event notifications.  For
[    19.487] (II) NVIDIA(0):     details, please see the "ConnectToAcpid" and
[    19.487] (II) NVIDIA(0):     "AcpidSocketPath" X configuration options in Appendix B: X
[    19.487] (II) NVIDIA(0):     Config Options in the README.
[    19.487] (II) NVIDIA(0): Setting mode "CRT-0:nvidia-auto-select"
[    19.630] (==) NVIDIA(0): Disabling shared memory pixmaps
[    19.630] (==) NVIDIA(0): Backing store enabled
[    19.630] (==) NVIDIA(0): Silken mouse enabled
[    19.635] (==) NVIDIA(0): DPMS enabled
[    19.635] (II) Loading sub module "dri2"
[    19.635] (II) LoadModule: "dri2"
[    19.635] (II) Module "dri2" already built-in
[    19.635] (II) NVIDIA(0): [DRI2] Setup complete
[    19.635] (II) NVIDIA(0): [DRI2]   VDPAU driver: nvidia
[    19.636] (--) RandR disabled
[    19.646] (II) SELinux: Disabled on system
[    19.648] (II) Initializing extension GLX
[    19.648] (II) Indirect GLX disabled.(II) config/udev: Adding input device Power Button (/dev/input/event4)
[    20.195] (**) Power Button: Applying InputClass "libinput keyboard catchall"
[    20.195] (II) LoadModule: "libinput"
[    20.195] (II) Loading /usr/lib/xorg/modules/input/libinput_drv.so
[    20.237] (II) Module libinput: vendor="X.Org Foundation"
[    20.237]  compiled for 1.19.0, module version = 0.23.0
[    20.237]  Module class: X.Org XInput Driver
[    20.237]  ABI class: X.Org XInput driver, version 24.1
[    20.237] (II) Using input driver 'libinput' for 'Power Button'
[    20.237] (**) Power Button: always reports core events
[    20.237] (**) Option "Device" "/dev/input/event4"
[    20.237] (**) Option "_source" "server/udev"
[    20.238] (II) input device 'Power Button', /dev/input/event4 is tagged by udev as: Keyboard
[    20.238] (II) input device 'Power Button', /dev/input/event4 is a keyboard
[    20.252] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/LNXPWRBN:00/input/input4/event4"
[    20.252] (II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD, id 6)
[    20.252] (**) Option "xkb_model" "pc105"
[    20.252] (**) Option "xkb_layout" "fr"
[    20.252] (**) Option "xkb_variant" "latin9"
[    20.316] (II) input device 'Power Button', /dev/input/event4 is tagged by udev as: Keyboard
[    20.316] (II) input device 'Power Button', /dev/input/event4 is a keyboard
[    20.317] (II) config/udev: Adding input device Power Button (/dev/input/event2)
[    20.317] (**) Power Button: Applying InputClass "libinput keyboard catchall"
[    20.317] (II) Using input driver 'libinput' for 'Power Button'
[    20.317] (**) Power Button: always reports core events
[    20.317] (**) Option "Device" "/dev/input/event2"
[    20.317] (**) Option "_source" "server/udev"
[    20.318] (II) input device 'Power Button', /dev/input/event2 is tagged by udev as: Keyboard
[    20.318] (II) input device 'Power Button', /dev/input/event2 is a keyboard
[    20.332] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0C:00/input/input2/event2"
[    20.332] (II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD, id 7)
[    20.332] (**) Option "xkb_model" "pc105"
[    20.332] (**) Option "xkb_layout" "fr"
[    20.332] (**) Option "xkb_variant" "latin9"
[    20.333] (II) input device 'Power Button', /dev/input/event2 is tagged by udev as: Keyboard
[    20.333] (II) input device 'Power Button', /dev/input/event2 is a keyboard
[    20.333] (II) config/udev: Adding input device Sleep Button (/dev/input/event3)
[    20.333] (**) Sleep Button: Applying InputClass "libinput keyboard catchall"
[    20.334] (II) Using input driver 'libinput' for 'Sleep Button'
[    20.334] (**) Sleep Button: always reports core events
[    20.334] (**) Option "Device" "/dev/input/event3"
[    20.334] (**) Option "_source" "server/udev"
[    20.334] (II) input device 'Sleep Button', /dev/input/event3 is tagged by udev as: Keyboard
[    20.334] (II) input device 'Sleep Button', /dev/input/event3 is a keyboard
[    20.348] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0E:00/input/input3/event3"
[    20.348] (II) XINPUT: Adding extended input device "Sleep Button" (type: KEYBOARD, id 8)
[    20.348] (**) Option "xkb_model" "pc105"
[    20.348] (**) Option "xkb_layout" "fr"
[    20.348] (**) Option "xkb_variant" "latin9"
[    20.349] (II) input device 'Sleep Button', /dev/input/event3 is tagged by udev as: Keyboard
[    20.349] (II) input device 'Sleep Button', /dev/input/event3 is a keyboard
[    20.350] (II) config/udev: Adding input device HID 1241:1166 (/dev/input/event1)
[    20.350] (**) HID 1241:1166: Applying InputClass "libinput pointer catchall"
[    20.350] (II) Using input driver 'libinput' for 'HID 1241:1166'
[    20.350] (**) HID 1241:1166: always reports core events
[    20.350] (**) Option "Device" "/dev/input/event1"
[    20.350] (**) Option "_source" "server/udev"
[    20.408] (II) input device 'HID 1241:1166', /dev/input/event1 is tagged by udev as: Mouse
[    20.408] (II) input device 'HID 1241:1166', /dev/input/event1 is a pointer caps
[    20.440] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:10.3/usb4/4-1/4-1:1.0/0003:1241:1166.0001/input/input1/event1"
[    20.440] (II) XINPUT: Adding extended input device "HID 1241:1166" (type: MOUSE, id 9)
[    20.440] (**) Option "AccelerationScheme" "none"
[    20.440] (**) HID 1241:1166: (accel) selected scheme none/0
[    20.440] (**) HID 1241:1166: (accel) acceleration factor: 2.000
[    20.440] (**) HID 1241:1166: (accel) acceleration threshold: 4
[    20.500] (II) input device 'HID 1241:1166', /dev/input/event1 is tagged by udev as: Mouse
[    20.500] (II) input device 'HID 1241:1166', /dev/input/event1 is a pointer caps
[    20.501] (II) config/udev: Adding input device HID 1241:1166 (/dev/input/mouse0)
[    20.501] (II) No input driver specified, ignoring this device.
[    20.501] (II) This device may have been added with another device file.
[    20.502] (II) config/udev: Adding input device HDA VIA VT82xx Line Out Surround (/dev/input/event10)
[    20.502] (II) No input driver specified, ignoring this device.
[    20.502] (II) This device may have been added with another device file.
[    20.503] (II) config/udev: Adding input device HDA VIA VT82xx Line Out CLFE (/dev/input/event11)
[    20.503] (II) No input driver specified, ignoring this device.
[    20.503] (II) This device may have been added with another device file.
[    20.503] (II) config/udev: Adding input device HDA VIA VT82xx Line Out Side (/dev/input/event12)
[    20.503] (II) No input driver specified, ignoring this device.
[    20.503] (II) This device may have been added with another device file.
[    20.504] (II) config/udev: Adding input device HDA VIA VT82xx Front Headphone (/dev/input/event13)
[    20.504] (II) No input driver specified, ignoring this device.
[    20.504] (II) This device may have been added with another device file.
[    20.505] (II) config/udev: Adding input device HDA VIA VT82xx Front Mic (/dev/input/event6)
[    20.505] (II) No input driver specified, ignoring this device.
[    20.505] (II) This device may have been added with another device file.
[    20.505] (II) config/udev: Adding input device HDA VIA VT82xx Rear Mic (/dev/input/event7)
[    20.505] (II) No input driver specified, ignoring this device.
[    20.505] (II) This device may have been added with another device file.
[    20.506] (II) config/udev: Adding input device HDA VIA VT82xx Line (/dev/input/event8)
[    20.506] (II) No input driver specified, ignoring this device.
[    20.506] (II) This device may have been added with another device file.
[    20.507] (II) config/udev: Adding input device HDA VIA VT82xx Line Out Front (/dev/input/event9)
[    20.507] (II) No input driver specified, ignoring this device.
[    20.507] (II) This device may have been added with another device file.
[    20.508] (II) config/udev: Adding input device AT Translated Set 2 keyboard (/dev/input/event0)
[    20.508] (**) AT Translated Set 2 keyboard: Applying InputClass "libinput keyboard catchall"
[    20.508] (II) Using input driver 'libinput' for 'AT Translated Set 2 keyboard'
[    20.508] (**) AT Translated Set 2 keyboard: always reports core events
[    20.508] (**) Option "Device" "/dev/input/event0"
[    20.508] (**) Option "_source" "server/udev"
[    20.508] (II) input device 'AT Translated Set 2 keyboard', /dev/input/event0 is tagged by udev as: Keyboard
[    20.508] (II) input device 'AT Translated Set 2 keyboard', /dev/input/event0 is a keyboard
[    20.540] (**) Option "config_info" "udev:/sys/devices/platform/i8042/serio0/input/input0/event0"
[    20.540] (II) XINPUT: Adding extended input device "AT Translated Set 2 keyboard" (type: KEYBOARD, id 10)
[    20.540] (**) Option "xkb_model" "pc105"
[    20.540] (**) Option "xkb_layout" "fr"
[    20.540] (**) Option "xkb_variant" "latin9"
[    20.541] (II) input device 'AT Translated Set 2 keyboard', /dev/input/event0 is tagged by udev as: Keyboard
[    20.541] (II) input device 'AT Translated Set 2 keyboard', /dev/input/event0 is a keyboard
[    20.541] (II) config/udev: Adding input device PC Speaker (/dev/input/event5)
[    20.541] (II) No input driver specified, ignoring this device.
[    20.541] (II) This device may have been added with another device file.
[   132.843] (II) NVIDIA(GPU-0): Display (Acon L15CX (CRT-0)) does not support NVIDIA 3D Vision
[   132.843] (II) NVIDIA(GPU-0):     stereo.
[   132.843] (**) NVIDIA(0): Using HorizSync/VertRefresh ranges from the EDID for display
[   132.843] (**) NVIDIA(0):     device Acon L15CX (CRT-0) (Using EDID frequencies has been
[   132.843] (**) NVIDIA(0):     enabled on all display devices.)
[   133.323] (II) NVIDIA(GPU-0): Display (Acon L15CX (CRT-0)) does not support NVIDIA 3D Vision
[   133.323] (II) NVIDIA(GPU-0):     stereo.
[   133.323] (**) NVIDIA(0): Using HorizSync/VertRefresh ranges from the EDID for display
[   133.323] (**) NVIDIA(0):     device Acon L15CX (CRT-0) (Using EDID frequencies has been
[   133.323] (**) NVIDIA(0):     enabled on all display devices.)


root@packard:/home/utilisateur1#


N'achetez pas Windows !. Volez-le !. Au moins vous en aurez pour votre argent.

Hors ligne

#11 02-11-2017 15:11:41

robert2a
Membre
Lieu : France
Distrib. : Stretch 9
Noyau : Linux 4.9.0-3 4.9.30-2
(G)UI : Mate
Inscription : 15-11-2014

Re : [Résolu] Carte graphique Nvidia GeForce 7500 LE (72) Stretch

ceci semble pas normal


Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  libnvidia-legacy-304xx-cfg1 libnvidia-legacy-304xx-ml1
  nvidia-legacy-304xx-driver-bin nvidia-legacy-304xx-driver-libs
  nvidia-persistenced
 


sinon tout est correct pour le log , tu utilise bien le driver nonfree sans erreur
je regarde un peu ces paquets ça fait longtemps que je n utilise plus le driver 304  hmm

nota : tu a bien les deux méta-paquet installé en amd64 (c'est correct )
pour l'instant ne fait pas d'autoremove il semble bien que ces paquets fasse partie de l'installation du driver nvidia 304

la version de stretch => https://packages.debian.org/fr/stretch/ … 4xx-driver
celui ci est nécessaire => https://packages.debian.org/fr/stretch/ … driver-bin
celui ci optionnel =>  https://packages.debian.org/fr/stretch/ … rsistenced
=> https://packages.debian.org/fr/stretch/ … river-libs
=> https://packages.debian.org/fr/stretch/ … 304xx-cfg1
=> https://packages.debian.org/stretch/lib … -304xx-ml1

si par exemple tu enlève le nvidia-legacy-304xx-driver-bin tu casse ton driver
il doit etre possible de
enlever le driver nvidia 304
purger par un "autoremove --purge"
et réinstaller le driver
puis un reboot (pas de reboot avant la réinstallation sauf si nouveau fonctionne bien )
pour ne plus avoir ces paquets en autoremove sur un "apt-get upgrade"
je sais pas pourquoi ces paquets sont passé en "inutile"

sur celui-ci =>  https://packages.debian.org/fr/stretch/ … gacy-304xx
on voit pas de dépendance sur le paquet nvidia-legacy-304xx-driver-bin

la commande du wiki (rappel)


apt-get install nvidia-legacy-304xx-kernel-dkms nvidia-settings-legacy-304xx xserver-xorg-video-nvidia-legacy-304xx linux-headers-$(uname -r)
 


je sais pas si encore d' actualité et correct le wiki nvidia pour le "legacy-304xx"

je te conseille cette commande plutot
vu les dépendances ici => https://packages.debian.org/fr/stretch/ … 4xx-driver
j'ai ajouté ceci dans la commande => nvidia-legacy-304xx-driver 


apt-get install nvidia-legacy-304xx-kernel-dkms nvidia-settings-legacy-304xx xserver-xorg-video-nvidia-legacy-304xx nvidia-legacy-304xx-driver linux-headers-$(uname -r)
 


ps: si ça fonctionne bien on pourra modifier le wiki

pour bien purger un driver nonfree nvidia


apt-get remove --purge nvidia*
 


puis


apt-get remove --purge xserver-xorg-video-nvidia-legacy-304xx
 


puis


apt-get autoremove --purge
 


ensuite tu le réinstalle avec


apt-get install nvidia-legacy-304xx-kernel-dkms nvidia-settings-legacy-304xx xserver-xorg-video-nvidia-legacy-304xx nvidia-legacy-304xx-driver linux-headers-$(uname -r)
 


et tu peu faire un reboot de la machine pour prendre en compte la modification

Dernière modification par robert2a (02-11-2017 16:04:51)

Hors ligne

#12 02-11-2017 19:10:51

nounours
Adhérent(e)
Lieu : hourtin 33
Distrib. : Jessie bureaux : mate et Handylinux basé sur Jessi
Noyau : linux 3.2.0-4-686-pae
(G)UI : Mate, Xfce
Inscription : 11-02-2012

Re : [Résolu] Carte graphique Nvidia GeForce 7500 LE (72) Stretch

Tout ce que je peux dire c'est que tout fonctionne ''au poil''.

Comme promis un bref résumé.

1 – identifier sa carte graphique

lspci


Résultat de la commande du genre :

00:13.0 Host bridge: VIA Technologies, Inc. VT8237A Host Bridge
02:00.0 VGA compatible controller: NVIDIA Corporation G72 [GeForce 7500 LE] (rev a1)
80:01.0 Audio device: VIA Technologies, Inc. VT8237A/VT8251 HDA Controller (rev 10)


La carte est donc une nvidia GeForce 7500 LE (72)
Le driver de cette carte est dans les dépôts non free
2 – ajout des dépôts non free
il faut éditer le fichier sources.list dans /etc/apt/sources.list
# Ajout dépôts non libres

# Ajout dépôts non libres
deb http://deb.debian.org/debian/ stretch main contrib non-free
deb http://security.debian.org/ stretch/updates main contrib non-free
deb http://deb.debian.org/debian/ stretch-updates main contrib non-free


3 - Mise à jour des dépôts

apt-get update


4 – installation des drivers
Pour les pc en 32 bits on utilisera la commande suivante :

apt-get install linux-image-686-pae linux-headers-686-pae


Pour les pc en amd64 on utilisera la commande suivante :

apt-get install linux-image-amd64 linux-headers-amd64


Remarque les 2 commandes ci-dessus ne sont pas toujours utiles, cela dépend des machines (?). Ça ne « mange pas de pain d'installer ces paquets »

apt-get install nvidia-legacy-304xx-kernel-dkms nvidia-settings-legacy-304xx xserver-xorg-video-nvidia-legacy-304xx linux-headers-$(uname -r)


5 – création du fichier xorg.conf dans /etc/X11
Qui sera constitué comme suit :

Section        "Device"
  Identifier    "Device0"
  Driver        "nvidia''
EndSection


6 – reboot

reboot


N'achetez pas Windows !. Volez-le !. Au moins vous en aurez pour votre argent.

Hors ligne

#13 14-11-2017 19:51:35

nounours
Adhérent(e)
Lieu : hourtin 33
Distrib. : Jessie bureaux : mate et Handylinux basé sur Jessi
Noyau : linux 3.2.0-4-686-pae
(G)UI : Mate, Xfce
Inscription : 11-02-2012

Re : [Résolu] Carte graphique Nvidia GeForce 7500 LE (72) Stretch

Bonjour à tous.

Voilà mes notes détaillées qui peuvent sans doute servir à d’autres Linuxiens amateurs.

Avec le concours des Debianeux de DF, Robert2a en autre et le « fiston » pour la boucle while.

N'hésitez pas à faire part de vos remarques, succès, améliorations ou échecs !

https://debian-facile.org/utilisateurs: … ia-stretch

N'achetez pas Windows !. Volez-le !. Au moins vous en aurez pour votre argent.

Hors ligne

Pied de page des forums